You are not logged in.

#1 2021-10-01 16:02:58

lakso
Member
Registered: 2020-08-02
Posts: 24

[SOLVED]Cannot use MIDI devices with JACK, a2midid not working

Every time I open QjackCtl a warning pops up that says

12:55:09.523 Statistics reset.
12:55:09.535 Could not open ALSA sequencer as a client. ALSA MIDI patchbay will be not available.
ALSA lib seq_hw.c:466:(snd_seq_hw_open) open /dev/snd/seq failed: No such device
12:55:12.250 D-BUS: Service is available (org.jackaudio.service aka jackdbus).
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock
JackShmReadWritePtr::~JackShmReadWritePtr - Init not done for -1, skipping unlock

I can't start a2midid either, gives a similar error:

JACK MIDI <-> ALSA sequencer MIDI bridge, version 9 built on Wed Dec 31 21:00:00 1969
Copyright 2006,2007 Dmitry S. Baikov
Copyright 2007,2008,2009,2011,2012 Nedko Arnaudov

Bridge starting...
Using JACK server 'default'
Hardware ports will not be exported.
ALSA lib seq_hw.c:466:(snd_seq_hw_open) open /dev/snd/seq failed: No such device
ERROR: a2j_new: failed to open alsa seq
ERROR: a2j_start: a2j_new() failed.

Jack works perfectly, but I can't use MIDI devices.

I'm on the latest LTS kernel, this used to work but for some reason it doesn't anymore.

Last edited by lakso (2021-10-01 20:11:36)

Offline

#2 2021-10-01 16:09:38

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 14,088

Re: [SOLVED]Cannot use MIDI devices with JACK, a2midid not working

If these tools explicitly need the snd/seq node, check if the snd_seq kernel module is loaded. It's not necessarily a requirement for "normal" audio purposes afaik so not inherently guaranteed to be autoloaded.

Also usual caveats make sure you are actually booted on the kernel you are thinking you are booted and that it can load modules normally, double check

uname -a
pacman -Q linux-lts

Offline

#3 2021-10-01 16:29:57

lakso
Member
Registered: 2020-08-02
Posts: 24

Re: [SOLVED]Cannot use MIDI devices with JACK, a2midid not working

I only have one kernel installed

~ ➜ uname -a
Linux archlinux 5.10.69-1-lts #1 SMP Sun, 26 Sep 2021 12:30:37 +0000 x86_64 GNU/Linux

The snd_seq module is indeed not loaded, but i can't seem to be able to load it either,

~ ➜ sudo modprobe snd_seq
[sudo] password for lakso: 
modprobe: FATAL: Module snd_seq not found in directory /lib/modules/5.10.69-1-lts

Offline

#4 2021-10-01 16:31:29

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 14,088

Re: [SOLVED]Cannot use MIDI devices with JACK, a2midid not working

The commands I told you to run don't assume you run multiple kernels but are there to check whether booted and installed kernel diverge (... due to having updated the system), which in practice would mean that your modules for your running kernel do not exist anymore and you need to reboot. Seeing as the current package for linux-lts is 5.10.70 this is a likely scenario

Last edited by V1del (2021-10-01 16:33:21)

Offline

#5 2021-10-01 16:41:48

lakso
Member
Registered: 2020-08-02
Posts: 24

Re: [SOLVED]Cannot use MIDI devices with JACK, a2midid not working

Oh sorry, I didn't know that could happen. I rebooted, loaded the module and everything seems to work now. Thanks!

Offline

#6 2021-10-01 16:50:47

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 14,088

Re: [SOLVED]Cannot use MIDI devices with JACK, a2midid not working

Great, please mark as [SOLVED] by editing the title in your first post.

Offline

Board footer

Powered by FluxBB